GET
https://api.cryptohopper.com/v1/platform/bottypes
Returns the bot type IDs mapped to their names. The bot_type field of a hopper uses these IDs.
No access token needed.
Example request
curl "https://api.cryptohopper.com/v1/platform/bottypes" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/platform/bottypes', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/platform/bottypes",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/platform/bottypes');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Response
{
"data": [
"Trading Bot",
"Arbitrage Bot",
"Market maker",
"Manual trading bot",
"Signal bot",
"Margin and futures",
"Portfolio bot",
"Copy Bot",
"Grid Bot",
"Mining manager",
"Fund manager",
"AI Bot"
]
}